13 Replies Latest reply on Apr 2, 2008 10:57 AM by Paul Gier

    Dependency conflicts lost during AS mavenization

    Heiko Braun Master

      I am currently looking at two projects sharing a dependency, with each specifying a different version. During the AS build this conflict is not recognized anymore.

      I.e. the metadata project refers to jbossws-spi 1.0.0.GA, but the latest AS 5 build ships with jbossws-spi 1.0.2.GA. Event though these versions are compatible, lack of an explicit compatibility statement should cause a dependency error when building the AS.